---
title: AWS S3
weight: 11
---

{{< toc >}}

Use the S3 as the repository backend.

## Features

1. Support `~/.aws/credentials` as the AWS CLI command
1. Support [Multipart upload](https://docs.aws.amazon.com/AmazonS3/latest/userguide/mpuoverview.html)

## Configuration

1. Install the [AWS CLI](https://aws.amazon.com/cli/)
2. Configure the AWS CLI. Please see the [AWS documentation](https://docs.aws.amazon.com/cli/latest/userguide/cli-configure-files.html)
   ```
   aws configure
   ```
3. Check current config
   ```
   aws configure list      
   ```

The S3 backend loads configuration by a default procedure of [AWS SDK for Go](https://aws.github.io/aws-sdk-go-v2/docs/configuring-sdk/#specifying-credentials)

## Usage

Init a workspace
```shell
avc init s3://mybucket/path/to/mydataset
```

Clone a repository
```shell
avc clone s3://mybucket/path/to/mydataset
cd mydataset/
```

## Environment Variables

| Name | Description | Default value |
| --- | --- | --- |
| `AWS_ACCESS_KEY_ID` | The access key |  |
| `AWS_SECRET_ACCESS_KEY` | The access secret key |  |
| `AWS_PROFILE` | The profile to use in the credential file | `default` |
| `AWS_REGION` | The region to use | the region from profile |
